Subject: bug#16152: 24.3; Windows Emacs crash from pty EOF

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Dec 2013 20:42:20 +0200

> From: Christopher Wellons <[email-masked]>
> Date: Sat, 14 Dec 2013 21:48:17 -0500
> 
> The following expression causes Emacs to crash in Windows 7 (and
> probably other versions) with Emacs 24.3.1:
> 
>      (with-temp-buffer
>        (start-process "crash-emacs-bug" (current-buffer) nil)
>        (process-send-eof))
> 
> The `start-process' call here is creating a pty process (according to
> the docstring). The exact version string is (official GNU build):
> 
>     GNU Emacs 24.3.1 (i386-mingw-nt6.1.7601) of 2013-03-17 on MARVIN

PTYs are not supported on MS-Windows.  I added some protection so that
Emacs doesn't crash (trunk revision 115538), but I doubt if Emacs will
do anything useful when start-process is called that way on Windows.

> This issue was originally discovered here:
> 
> https://github.com/skeeto/skewer-mode/issues/38

I don't use skeeto, so I have no idea what it tries to do in this
case.  So I cannot offer any advice for how to make skeeto work on
Windows in this case, nor tell if that is even possible.